> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/user-management/v1/user-roles > Retrieves a paginated list of user roles ## OpenAPI ````json GET /public/user-management/v1/user-roles { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/user-management/v1/user-roles": { "get": { "tags": [ "netcore" ], "description": "Retrieves a paginated list of user roles", "parameters": [ { "name": "PageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer", "format": "int32" } }, { "name": "Brands", "in": "query", "description": "Brands to filter by (comma-separated)", "schema": { "type": "string" } }, { "name": "ContinuationToken", "in": "query", "description": "Pagination token from a previous response. Omit to start from the first page", "schema": { "type": "string" } } ], "responses": { "200": { "description": "User Roles", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.Users.Models.GetUserRolesResponse" } } } } } } } }, "components": { "schemas": { "R365.Netcore.Public.Contracts.Users.Models.GetUserRolesResponse": { "type": "object", "properties": { "entities": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.Users.Models.UserRole" } }, "nextPage": { "type": "string", "format": "uri", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } } }, "R365.Netcore.Public.Contracts.Users.Models.UserRole": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the user role." }, "name": { "type": "string", "description": "Display name of the user role." } }, "additionalProperties": false } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````